package com.chenyang.nse.bussiness.engine.infa;

public class InfoProperty {
   private String domainname;
   private String dbservername;
   private String username;
   private String password;
   private String gateway;
   private String port;
   private String inteservicename;
   private String startuppath;
   private String enginename;
   private String datasystemid;
   private String xmldir;
   private String logdir;
   private String repository;
   private String pmrepexepath;
   private String pmcmdexepath;
   private String webserviceurl;
   private String webserviceserverurl;
   private String webservicedataurl;

   public InfoProperty() {
   }

   public InfoProperty(String domainname, String dbservername, String username, String password, String gateway, String port, String inteservicename, String startuppath, String enginename, String datasystemid, String xmldir, String logdir, String repository, String pmrepexepath, String pmcmdexepath, String webserviceurl, String webserviceserverurl, String webservicedataurl) {
      this.domainname = domainname;
      this.dbservername = dbservername;
      this.username = username;
      this.password = password;
      this.gateway = gateway;
      this.port = port;
      this.inteservicename = inteservicename;
      this.startuppath = startuppath;
      this.enginename = enginename;
      this.datasystemid = datasystemid;
      this.xmldir = xmldir;
      this.logdir = logdir;
      this.repository = repository;
      this.pmrepexepath = pmrepexepath;
      this.pmcmdexepath = pmcmdexepath;
      this.webserviceurl = webserviceurl;
      this.webserviceserverurl = webserviceserverurl;
      this.webservicedataurl = webservicedataurl;
   }

   public String getDomainname() {
      return this.domainname;
   }

   public void setDomainname(String domainname) {
      this.domainname = domainname;
   }

   public String getDbservername() {
      return this.dbservername;
   }

   public void setDbservername(String dbservername) {
      this.dbservername = dbservername;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getPassword() {
      return this.password;
   }

   public void setPassword(String password) {
      this.password = password;
   }

   public String getGateway() {
      return this.gateway;
   }

   public void setGateway(String gateway) {
      this.gateway = gateway;
   }

   public String getPort() {
      return this.port;
   }

   public void setPort(String port) {
      this.port = port;
   }

   public String getInteservicename() {
      return this.inteservicename;
   }

   public void setInteservicename(String inteservicename) {
      this.inteservicename = inteservicename;
   }

   public String getStartuppath() {
      return this.startuppath;
   }

   public void setStartuppath(String startuppath) {
      this.startuppath = startuppath;
   }

   public String getEnginename() {
      return this.enginename;
   }

   public void setEnginename(String enginename) {
      this.enginename = enginename;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getXmldir() {
      return this.xmldir;
   }

   public void setXmldir(String xmldir) {
      this.xmldir = xmldir;
   }

   public String getLogdir() {
      return this.logdir;
   }

   public void setLogdir(String logdir) {
      this.logdir = logdir;
   }

   public String getRepository() {
      return this.repository;
   }

   public void setRepository(String repository) {
      this.repository = repository;
   }

   public String getPmrepexepath() {
      return this.pmrepexepath;
   }

   public void setPmrepexepath(String pmrepexepath) {
      this.pmrepexepath = pmrepexepath;
   }

   public String getPmcmdexepath() {
      return this.pmcmdexepath;
   }

   public void setPmcmdexepath(String pmcmdexepath) {
      this.pmcmdexepath = pmcmdexepath;
   }

   public String getWebserviceurl() {
      return this.webserviceurl;
   }

   public void setWebserviceurl(String webserviceurl) {
      this.webserviceurl = webserviceurl;
   }

   public String getWebserviceserverurl() {
      return this.webserviceserverurl;
   }

   public void setWebserviceserverurl(String webserviceserverurl) {
      this.webserviceserverurl = webserviceserverurl;
   }

   public String getWebservicedataurl() {
      return this.webservicedataurl;
   }

   public void setWebservicedataurl(String webservicedataurl) {
      this.webservicedataurl = webservicedataurl;
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.datasystemid == null ? 0 : this.datasystemid.hashCode());
      result = 31 * result + (this.dbservername == null ? 0 : this.dbservername.hashCode());
      result = 31 * result + (this.domainname == null ? 0 : this.domainname.hashCode());
      result = 31 * result + (this.enginename == null ? 0 : this.enginename.hashCode());
      result = 31 * result + (this.gateway == null ? 0 : this.gateway.hashCode());
      result = 31 * result + (this.inteservicename == null ? 0 : this.inteservicename.hashCode());
      result = 31 * result + (this.logdir == null ? 0 : this.logdir.hashCode());
      result = 31 * result + (this.password == null ? 0 : this.password.hashCode());
      result = 31 * result + (this.pmcmdexepath == null ? 0 : this.pmcmdexepath.hashCode());
      result = 31 * result + (this.pmrepexepath == null ? 0 : this.pmrepexepath.hashCode());
      result = 31 * result + (this.port == null ? 0 : this.port.hashCode());
      result = 31 * result + (this.repository == null ? 0 : this.repository.hashCode());
      result = 31 * result + (this.startuppath == null ? 0 : this.startuppath.hashCode());
      result = 31 * result + (this.username == null ? 0 : this.username.hashCode());
      result = 31 * result + (this.webservicedataurl == null ? 0 : this.webservicedataurl.hashCode());
      result = 31 * result + (this.webserviceserverurl == null ? 0 : this.webserviceserverurl.hashCode());
      result = 31 * result + (this.webserviceurl == null ? 0 : this.webserviceurl.hashCode());
      result = 31 * result + (this.xmldir == null ? 0 : this.xmldir.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         InfoProperty other = (InfoProperty)obj;
         if (this.datasystemid == null) {
            if (other.datasystemid != null) {
               return false;
            }
         } else if (!this.datasystemid.equals(other.datasystemid)) {
            return false;
         }

         if (this.dbservername == null) {
            if (other.dbservername != null) {
               return false;
            }
         } else if (!this.dbservername.equals(other.dbservername)) {
            return false;
         }

         if (this.domainname == null) {
            if (other.domainname != null) {
               return false;
            }
         } else if (!this.domainname.equals(other.domainname)) {
            return false;
         }

         if (this.enginename == null) {
            if (other.enginename != null) {
               return false;
            }
         } else if (!this.enginename.equals(other.enginename)) {
            return false;
         }

         if (this.gateway == null) {
            if (other.gateway != null) {
               return false;
            }
         } else if (!this.gateway.equals(other.gateway)) {
            return false;
         }

         if (this.inteservicename == null) {
            if (other.inteservicename != null) {
               return false;
            }
         } else if (!this.inteservicename.equals(other.inteservicename)) {
            return false;
         }

         if (this.logdir == null) {
            if (other.logdir != null) {
               return false;
            }
         } else if (!this.logdir.equals(other.logdir)) {
            return false;
         }

         if (this.password == null) {
            if (other.password != null) {
               return false;
            }
         } else if (!this.password.equals(other.password)) {
            return false;
         }

         if (this.pmcmdexepath == null) {
            if (other.pmcmdexepath != null) {
               return false;
            }
         } else if (!this.pmcmdexepath.equals(other.pmcmdexepath)) {
            return false;
         }

         if (this.pmrepexepath == null) {
            if (other.pmrepexepath != null) {
               return false;
            }
         } else if (!this.pmrepexepath.equals(other.pmrepexepath)) {
            return false;
         }

         if (this.port == null) {
            if (other.port != null) {
               return false;
            }
         } else if (!this.port.equals(other.port)) {
            return false;
         }

         if (this.repository == null) {
            if (other.repository != null) {
               return false;
            }
         } else if (!this.repository.equals(other.repository)) {
            return false;
         }

         if (this.startuppath == null) {
            if (other.startuppath != null) {
               return false;
            }
         } else if (!this.startuppath.equals(other.startuppath)) {
            return false;
         }

         if (this.username == null) {
            if (other.username != null) {
               return false;
            }
         } else if (!this.username.equals(other.username)) {
            return false;
         }

         if (this.webservicedataurl == null) {
            if (other.webservicedataurl != null) {
               return false;
            }
         } else if (!this.webservicedataurl.equals(other.webservicedataurl)) {
            return false;
         }

         if (this.webserviceserverurl == null) {
            if (other.webserviceserverurl != null) {
               return false;
            }
         } else if (!this.webserviceserverurl.equals(other.webserviceserverurl)) {
            return false;
         }

         if (this.webserviceurl == null) {
            if (other.webserviceurl != null) {
               return false;
            }
         } else if (!this.webserviceurl.equals(other.webserviceurl)) {
            return false;
         }

         if (this.xmldir == null) {
            if (other.xmldir != null) {
               return false;
            }
         } else if (!this.xmldir.equals(other.xmldir)) {
            return false;
         }

         return true;
      }
   }

   public String toString() {
      return "InfoProperty [domainname=" + this.domainname + ", dbservername=" + this.dbservername + ", username=" + this.username + ", password=" + this.password + ", gateway=" + this.gateway + ", port=" + this.port + ", inteservicename=" + this.inteservicename + ", startuppath=" + this.startuppath + ", enginename=" + this.enginename + ", datasystemid=" + this.datasystemid + ", xmldir=" + this.xmldir + ", logdir=" + this.logdir + ", repository=" + this.repository + ", pmrepexepath=" + this.pmrepexepath + ", pmcmdexepath=" + this.pmcmdexepath + ", webserviceurl=" + this.webserviceurl + ", webserviceserverurl=" + this.webserviceserverurl + ", webservicedataurl=" + this.webservicedataurl + "]";
   }
}
